import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { VideoConferenceContentsType } from '@ucap-webmessenger/protocol-event';
import {
  VideoConferenceEventJson,
  Info
} from '@ucap-webmessenger/protocol-event';

@Component({
  selector: 'ucap-chat-message-box-video-conference',
  templateUrl: './video-conference.component.html',
  styleUrls: ['./video-conference.component.scss']
})
export class VideoConferenceComponent implements OnInit {
  @Input()
  message: Info<VideoConferenceEventJson>;

  @Output()
  conferenceDetail = new EventEmitter<VideoConferenceEventJson>();

  @Output()
  conferenceJoin = new EventEmitter<VideoConferenceEventJson>();

  VideoConferenceContentsType = VideoConferenceContentsType;

  constructor() {}

  ngOnInit() {}

  onClickDetailView() {
    this.conferenceDetail.emit(this.message.sentMessageJson);
  }

  onClickEnjoyConference() {
    this.conferenceJoin.emit(this.message.sentMessageJson);
  }
}
