import { Injectable, ViewContainerRef, ElementRef } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class StatusBarService {
  get container() {
    return this._container;
  }
  set container(container: ElementRef<HTMLElement>) {
    this._container = container;
    this._container.nativeElement.style.display = 'none';
  }
  // tslint:disable-next-line: variable-name
  private _container: ElementRef<HTMLElement>;

  public constructor() {}

  open(message: string) {
    this._container.nativeElement.style.display = '';
  }

  dismiss() {
    this._container.nativeElement.style.display = 'none';
  }
}
